CREATE TABLE cz_dcn_uitemplatemap_events (
    UI_TEMPLATE_MAP_ID              NUMBER(18, 0),
    UI_TEMPLATE_MAP_VERSION         NUMBER(18, 0),
    WORKSPACE_ID                    NUMBER(18, 0),
    UI_TEMPLATE_MAP_CHANGED_FLAG    NUMBER(18, 0),
    DELETED_FLAG                    NUMBER(18, 0)    NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    UI_TEMPLATE_MAP_ID              NUMBER(18, 0),
    UI_TEMPLATE_MAP_VERSION         NUMBER(18, 0),
    WORKSPACE_ID                    NUMBER(18, 0),
    UI_TEMPLATE_MAP_CHANGED_FLAG    NUMBER(18, 0),
    DELETED_FLAG                    NUMBER(18, 0)    NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    CONSTRAINT pk_cz_dcn_uitemplatemap_events PRIMARY KEY (UI_TEMPLATE_MAP_ID, UI_TEMPLATE_MAP_VERSION, WORKSPACE_ID, UI_TEMPLATE_MAP_ID, UI_TEMPLATE_MAP_VERSION, WORKSPACE_ID)
);
